AutoYaST templates fail to render (infinite loop, stack level too deep)
Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.19.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Trying to render autoinstallation templates for SUSE Linux Enterprise Server (12) via Foreman 1.19.0/Katello 3.8 fails with the

following backtrace:

2018-10-04T19:59:11 [F|app|] ArgumentError (There was no default layout for UnattendedController i

n #<ActionView::PathSet:0x000000000ae15438 @paths=[#<ActionView::OptimizedFileSystemResolver:

0x00000000046fad20 @pattern=":prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @c

ache=#<ActionView::Resolver::Cache:0x46facd0 keys=2 queries=0>, @path="/usr/share/foreman/app

/views">, #<ActionView::OptimizedFileSystemResolver:0x00000000047082e0 @pattern=":prefix/:action{.

:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Resolver::Cache:0x4708

2b8 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_ansible-2.2.9/a

pp/views">, #<ActionView::OptimizedFileSystemResolver:0x0000000004709d98 @pattern=":prefix/:a

ction{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Resolver::Cache:0x47

09cf8 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_e

xecution-1.5.6/app/views">, #<ActionView::OptimizedFileSystemResolver:0x000000000470b670 @pattern=

":prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Reso

lver::Cache:0x470b648 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/katel

lo-3.8.0/app/views">, #<ActionView::OptimizedFileSystemResolver:0x000000000470c9d0 @pattern=" 

:prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Resolver::

Cache:0x470c980 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/forema

n_docker-4.1.0/app/views">, #<ActionView::OptimizedFileSystemResolver:0x000000000470ec80 @pattern=

":prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Reso

lver::Cache:0x470ebe0 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/forem

an-tasks-0.13.4/app/views">, #<ActionView::OptimizedFileSystemResolver:0x00000000047101e8 @pa

ttern=":prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Res

olver::Cache:0x47101c0 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems

/bastion-6.1.11/app/views">, #<ActionView::OptimizedFileSystemResolver:0x00000000047121c8 @pattern

=":prefix/:action{.:locale,}{.:formats,}{+:variants,}{.:handlers,}", @cache=#<ActionView::Res

olver::Cache:0x4712178 keys=0 queries=0>, @path="/opt/theforeman/tfm/root/usr/share/gems/gems/apip

ie-rails-0.5.9/app/views">]>):                                                               

2018-10-04T19:59:11 [F|app|]                                                                      

                                                                                             

2018-10-04T19:59:11 [F|app|] app/controllers/application_controller.rb:338:in `generic_exception' 

 

 URL of foreman-debug output: http://debugs.theforeman.org/foreman-debug-HNMbp.tar.xz

Other OSes like RHEL/CentOS work fine. I did not customize the provided templates in any way, but only associated them with the

respective operating system.

Related issues:

Related to Foreman - Bug #25136: stack level to deep exception when rendering... Closed

History

#1 - 10/15/2018 11:17 AM - Timo Goebel

- Related to Bug #25136: stack level to deep exception when rendering autoyast template added
http://debugs.theforeman.org/foreman-debug-HNMbp.tar.xz


#2 - 10/15/2018 11:18 AM - Timo Goebel

- Status changed from New to Duplicate

- Triaged changed from No to Yes

Dupe of #25136.
